Subject: Re: wcard-clarify violating RFC 2119, section 6

From: Paul Vixie <[email-masked]>
Date: Sun, 31 Aug 2003 15:37:58 +0000

> ps: from reading 1034/5, I believe that servers should really also support
> empty terminal names (that is, names with no RRs, no sub-domains, but which
> exist none the less).   I don't know of any servers that implement those.
> Does anyone?   I'm not sure that it matters, as I doubt there is much in
> the way of practical use for such things.   However, they seem to be clearly
> allowed, so at the very least, those familiar with the DNSSEC algorithms
> (particularly for proving non-existence) should probably make sure that
> the algorithms work in the presence of emtpy terminal names.

i don't agree.  1034/5 explains several ways a name can exist, and in each
case one can infer what data content or protocol event gives rise to that
existence.  no such existence is supported for empty terminals.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>